<?php



$tdatatb_orcamento_producao = array();
$tdatatb_orcamento_producao[".searchableFields"] = array();
$tdatatb_orcamento_producao[".ShortName"] = "tb_orcamento_producao";
$tdatatb_orcamento_producao[".OwnerID"] = "";
$tdatatb_orcamento_producao[".OriginalTable"] = "tb_orcamento_producao";


$tdatatb_orcamento_producao[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_orcamento_producao[".originalPagesByType"] = $tdatatb_orcamento_producao[".pagesByType"];
$tdatatb_orcamento_producao[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_orcamento_producao[".originalPages"] = $tdatatb_orcamento_producao[".pages"];
$tdatatb_orcamento_producao[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_orcamento_producao[".originalDefaultPages"] = $tdatatb_orcamento_producao[".defaultPages"];

//	field labels
$fieldLabelstb_orcamento_producao = array();
$fieldToolTipstb_orcamento_producao = array();
$pageTitlestb_orcamento_producao = array();
$placeHolderstb_orcamento_producao = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_orcamento_producao["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_orcamento_producao["Portuguese(Brazil)"] = array();
	$placeHolderstb_orcamento_producao["Portuguese(Brazil)"] = array();
	$pageTitlestb_orcamento_producao["Portuguese(Brazil)"] = array();
	$fieldLabelstb_orcamento_producao["Portuguese(Brazil)"]["orca_ID"] = "Orca ID";
	$fieldToolTipstb_orcamento_producao["Portuguese(Brazil)"]["orca_ID"] = "";
	$placeHolderstb_orcamento_producao["Portuguese(Brazil)"]["orca_ID"] = "";
	$fieldLabelstb_orcamento_producao["Portuguese(Brazil)"]["data"] = "Data";
	$fieldToolTipstb_orcamento_producao["Portuguese(Brazil)"]["data"] = "";
	$placeHolderstb_orcamento_producao["Portuguese(Brazil)"]["data"] = "";
	$fieldLabelstb_orcamento_producao["Portuguese(Brazil)"]["condicao"] = "Condicao";
	$fieldToolTipstb_orcamento_producao["Portuguese(Brazil)"]["condicao"] = "";
	$placeHolderstb_orcamento_producao["Portuguese(Brazil)"]["condicao"] = "";
	$fieldLabelstb_orcamento_producao["Portuguese(Brazil)"]["status"] = "Status";
	$fieldToolTipstb_orcamento_producao["Portuguese(Brazil)"]["status"] = "";
	$placeHolderstb_orcamento_producao["Portuguese(Brazil)"]["status"] = "";
	$fieldLabelstb_orcamento_producao["Portuguese(Brazil)"]["cliente"] = "Cliente";
	$fieldToolTipstb_orcamento_producao["Portuguese(Brazil)"]["cliente"] = "";
	$placeHolderstb_orcamento_producao["Portuguese(Brazil)"]["cliente"] = "";
	$fieldLabelstb_orcamento_producao["Portuguese(Brazil)"]["pdto"] = "Pdto";
	$fieldToolTipstb_orcamento_producao["Portuguese(Brazil)"]["pdto"] = "";
	$placeHolderstb_orcamento_producao["Portuguese(Brazil)"]["pdto"] = "";
	$fieldLabelstb_orcamento_producao["Portuguese(Brazil)"]["Modelo"] = "Modelo";
	$fieldToolTipstb_orcamento_producao["Portuguese(Brazil)"]["Modelo"] = "";
	$placeHolderstb_orcamento_producao["Portuguese(Brazil)"]["Modelo"] = "";
	$fieldLabelstb_orcamento_producao["Portuguese(Brazil)"]["foto"] = "Foto";
	$fieldToolTipstb_orcamento_producao["Portuguese(Brazil)"]["foto"] = "";
	$placeHolderstb_orcamento_producao["Portuguese(Brazil)"]["foto"] = "";
	$fieldLabelstb_orcamento_producao["Portuguese(Brazil)"]["versao"] = "Versao";
	$fieldToolTipstb_orcamento_producao["Portuguese(Brazil)"]["versao"] = "";
	$placeHolderstb_orcamento_producao["Portuguese(Brazil)"]["versao"] = "";
	$fieldLabelstb_orcamento_producao["Portuguese(Brazil)"]["PVenda"] = "PVenda";
	$fieldToolTipstb_orcamento_producao["Portuguese(Brazil)"]["PVenda"] = "";
	$placeHolderstb_orcamento_producao["Portuguese(Brazil)"]["PVenda"] = "";
	$fieldLabelstb_orcamento_producao["Portuguese(Brazil)"]["CBruto"] = "CBruto";
	$fieldToolTipstb_orcamento_producao["Portuguese(Brazil)"]["CBruto"] = "";
	$placeHolderstb_orcamento_producao["Portuguese(Brazil)"]["CBruto"] = "";
	$fieldLabelstb_orcamento_producao["Portuguese(Brazil)"]["material"] = "Material";
	$fieldToolTipstb_orcamento_producao["Portuguese(Brazil)"]["material"] = "";
	$placeHolderstb_orcamento_producao["Portuguese(Brazil)"]["material"] = "";
	$fieldLabelstb_orcamento_producao["Portuguese(Brazil)"]["cliente1"] = "Cliente1";
	$fieldToolTipstb_orcamento_producao["Portuguese(Brazil)"]["cliente1"] = "";
	$placeHolderstb_orcamento_producao["Portuguese(Brazil)"]["cliente1"] = "";
	$fieldLabelstb_orcamento_producao["Portuguese(Brazil)"]["empresa"] = "Empresa";
	$fieldToolTipstb_orcamento_producao["Portuguese(Brazil)"]["empresa"] = "";
	$placeHolderstb_orcamento_producao["Portuguese(Brazil)"]["empresa"] = "";
	$fieldLabelstb_orcamento_producao["Portuguese(Brazil)"]["componente"] = "Componente";
	$fieldToolTipstb_orcamento_producao["Portuguese(Brazil)"]["componente"] = "";
	$placeHolderstb_orcamento_producao["Portuguese(Brazil)"]["componente"] = "";
	$fieldLabelstb_orcamento_producao["Portuguese(Brazil)"]["categoria1"] = "Categoria1";
	$fieldToolTipstb_orcamento_producao["Portuguese(Brazil)"]["categoria1"] = "";
	$placeHolderstb_orcamento_producao["Portuguese(Brazil)"]["categoria1"] = "";
	if (count($fieldToolTipstb_orcamento_producao["Portuguese(Brazil)"]))
		$tdatatb_orcamento_producao[".isUseToolTips"] = true;
}


	$tdatatb_orcamento_producao[".NCSearch"] = true;


	$tdatatb_orcamento_producao[".scrollGridBody"] = true;

$tdatatb_orcamento_producao[".shortTableName"] = "tb_orcamento_producao";
$tdatatb_orcamento_producao[".nSecOptions"] = 0;

$tdatatb_orcamento_producao[".mainTableOwnerID"] = "";
$tdatatb_orcamento_producao[".entityType"] = 0;

$tdatatb_orcamento_producao[".strOriginalTableName"] = "tb_orcamento_producao";

	



$tdatatb_orcamento_producao[".showAddInPopup"] = false;

$tdatatb_orcamento_producao[".showEditInPopup"] = false;

$tdatatb_orcamento_producao[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_orcamento_producao[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_orcamento_producao[".listAjax"] = false;
//	temporary
$tdatatb_orcamento_producao[".listAjax"] = false;

	$tdatatb_orcamento_producao[".audit"] = false;

	$tdatatb_orcamento_producao[".locking"] = false;


$pages = $tdatatb_orcamento_producao[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_orcamento_producao[".edit"] = true;
	$tdatatb_orcamento_producao[".afterEditAction"] = 0;
	$tdatatb_orcamento_producao[".closePopupAfterEdit"] = 1;
	$tdatatb_orcamento_producao[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_orcamento_producao[".add"] = true;
$tdatatb_orcamento_producao[".afterAddAction"] = 0;
$tdatatb_orcamento_producao[".closePopupAfterAdd"] = 1;
$tdatatb_orcamento_producao[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_orcamento_producao[".list"] = true;
}



$tdatatb_orcamento_producao[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_orcamento_producao[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_orcamento_producao[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_orcamento_producao[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_orcamento_producao[".printFriendly"] = true;
}



$tdatatb_orcamento_producao[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_orcamento_producao[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_orcamento_producao[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_orcamento_producao[".isUseAjaxSuggest"] = true;

$tdatatb_orcamento_producao[".rowHighlite"] = true;





$tdatatb_orcamento_producao[".ajaxCodeSnippetAdded"] = false;

$tdatatb_orcamento_producao[".buttonsAdded"] = false;

$tdatatb_orcamento_producao[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_orcamento_producao[".isUseTimeForSearch"] = false;


$tdatatb_orcamento_producao[".badgeColor"] = "008B8B";


$tdatatb_orcamento_producao[".allSearchFields"] = array();
$tdatatb_orcamento_producao[".filterFields"] = array();
$tdatatb_orcamento_producao[".requiredSearchFields"] = array();

$tdatatb_orcamento_producao[".googleLikeFields"] = array();
$tdatatb_orcamento_producao[".googleLikeFields"][] = "orca_ID";
$tdatatb_orcamento_producao[".googleLikeFields"][] = "data";
$tdatatb_orcamento_producao[".googleLikeFields"][] = "condicao";
$tdatatb_orcamento_producao[".googleLikeFields"][] = "status";
$tdatatb_orcamento_producao[".googleLikeFields"][] = "cliente";
$tdatatb_orcamento_producao[".googleLikeFields"][] = "pdto";
$tdatatb_orcamento_producao[".googleLikeFields"][] = "Modelo";
$tdatatb_orcamento_producao[".googleLikeFields"][] = "foto";
$tdatatb_orcamento_producao[".googleLikeFields"][] = "versao";
$tdatatb_orcamento_producao[".googleLikeFields"][] = "PVenda";
$tdatatb_orcamento_producao[".googleLikeFields"][] = "CBruto";
$tdatatb_orcamento_producao[".googleLikeFields"][] = "material";
$tdatatb_orcamento_producao[".googleLikeFields"][] = "cliente1";
$tdatatb_orcamento_producao[".googleLikeFields"][] = "empresa";
$tdatatb_orcamento_producao[".googleLikeFields"][] = "componente";
$tdatatb_orcamento_producao[".googleLikeFields"][] = "categoria1";



$tdatatb_orcamento_producao[".tableType"] = "list";

$tdatatb_orcamento_producao[".printerPageOrientation"] = 0;
$tdatatb_orcamento_producao[".nPrinterPageScale"] = 100;

$tdatatb_orcamento_producao[".nPrinterSplitRecords"] = 40;

$tdatatb_orcamento_producao[".geocodingEnabled"] = false;










$tdatatb_orcamento_producao[".pageSize"] = 20;

$tdatatb_orcamento_producao[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_orcamento_producao[".strOrderBy"] = $tstrOrderBy;

$tdatatb_orcamento_producao[".orderindexes"] = array();

$tdatatb_orcamento_producao[".sqlHead"] = "SELECT tb_orcamento_producao.orca_ID,  tb_orcamento_producao.`data`,  tb_orcamento_producao.condicao,  tb_orcamento_producao.status,  tb_orcamento_producao.cliente,  tb_orcamento_producao.pdto,  concat(dbw_cota_pdto.referencia,\"/\",dbw_cota_pdto.nome_aux) as Modelo,  dbw_cota_pdto.foto,  dbw_cota_pdto.versao,  dbw_cota_pdto.PVenda,  dbw_cota_pdto.CBruto,  dbw_cota_pdto.material,  dbw_cota_pdto.cliente AS cliente1,  dbw_cota_pdto.empresa,  dbw_cota_pdto.componente,  dbw_cota_pdto.categoria1";
$tdatatb_orcamento_producao[".sqlFrom"] = "FROM tb_orcamento_producao  INNER JOIN dbw_cota_pdto ON tb_orcamento_producao.pdto = dbw_cota_pdto.pdtoiD";
$tdatatb_orcamento_producao[".sqlWhereExpr"] = "";
$tdatatb_orcamento_producao[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_orcamento_producao[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_orcamento_producao[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_orcamento_producao[".highlightSearchResults"] = true;

$tableKeystb_orcamento_producao = array();
$tableKeystb_orcamento_producao[] = "orca_ID";
$tdatatb_orcamento_producao[".Keys"] = $tableKeystb_orcamento_producao;


$tdatatb_orcamento_producao[".hideMobileList"] = array();




//	orca_ID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "orca_ID";
	$fdata["GoodName"] = "orca_ID";
	$fdata["ownerTable"] = "tb_orcamento_producao";
	$fdata["Label"] = GetFieldLabel("tb_orcamento_producao","orca_ID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "orca_ID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_orcamento_producao.orca_ID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_orcamento_producao["orca_ID"] = $fdata;
		$tdatatb_orcamento_producao[".searchableFields"][] = "orca_ID";
//	data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "data";
	$fdata["GoodName"] = "data";
	$fdata["ownerTable"] = "tb_orcamento_producao";
	$fdata["Label"] = GetFieldLabel("tb_orcamento_producao","data");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_orcamento_producao.`data`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 1;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_orcamento_producao["data"] = $fdata;
		$tdatatb_orcamento_producao[".searchableFields"][] = "data";
//	condicao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "condicao";
	$fdata["GoodName"] = "condicao";
	$fdata["ownerTable"] = "tb_orcamento_producao";
	$fdata["Label"] = GetFieldLabel("tb_orcamento_producao","condicao");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "condicao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_orcamento_producao.condicao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=300";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_orcamento_producao["condicao"] = $fdata;
		$tdatatb_orcamento_producao[".searchableFields"][] = "condicao";
//	status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "status";
	$fdata["GoodName"] = "status";
	$fdata["ownerTable"] = "tb_orcamento_producao";
	$fdata["Label"] = GetFieldLabel("tb_orcamento_producao","status");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "status";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_orcamento_producao.status";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Solicitado";
	$edata["LookupValues"][] = "Calculando";
	$edata["LookupValues"][] = "Análise ";
	$edata["LookupValues"][] = "Analise Cliente";
	$edata["LookupValues"][] = "Ajustes Negociação ";
	$edata["LookupValues"][] = "Aprovado";
	$edata["LookupValues"][] = "Reprovado";
	$edata["LookupValues"][] = "Aguardando Cliente";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_orcamento_producao["status"] = $fdata;
		$tdatatb_orcamento_producao[".searchableFields"][] = "status";
//	cliente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "cliente";
	$fdata["GoodName"] = "cliente";
	$fdata["ownerTable"] = "tb_orcamento_producao";
	$fdata["Label"] = GetFieldLabel("tb_orcamento_producao","cliente");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "cliente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_orcamento_producao.cliente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "tb_clientes";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "clienteID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "empresa";

	

	
	$edata["LookupOrderBy"] = "empresa";

	
	
		$edata["AllowToAdd"] = true;
			$edata["addPageId"] = "add";

	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "pdto";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_orcamento_producao["cliente"] = $fdata;
		$tdatatb_orcamento_producao[".searchableFields"][] = "cliente";
//	pdto
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "pdto";
	$fdata["GoodName"] = "pdto";
	$fdata["ownerTable"] = "tb_orcamento_producao";
	$fdata["Label"] = GetFieldLabel("tb_orcamento_producao","pdto");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "pdto";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_orcamento_producao.pdto";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "tb_produtos";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "pdtoiD";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "referencia";

	

	
	$edata["LookupOrderBy"] = "referencia";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "cliente", "lookup" => "clienteID" );

		$edata["AllowToAdd"] = true;
			$edata["addPageId"] = "add";

	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_orcamento_producao["pdto"] = $fdata;
		$tdatatb_orcamento_producao[".searchableFields"][] = "pdto";
//	Modelo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "Modelo";
	$fdata["GoodName"] = "Modelo";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("tb_orcamento_producao","Modelo");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Modelo";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "concat(dbw_cota_pdto.referencia,\"/\",dbw_cota_pdto.nome_aux)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_orcamento_producao["Modelo"] = $fdata;
		$tdatatb_orcamento_producao[".searchableFields"][] = "Modelo";
//	foto
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "foto";
	$fdata["GoodName"] = "foto";
	$fdata["ownerTable"] = "dbw_cota_pdto";
	$fdata["Label"] = GetFieldLabel("tb_orcamento_producao","foto");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "foto";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dbw_cota_pdto.foto";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_orcamento_producao["foto"] = $fdata;
		$tdatatb_orcamento_producao[".searchableFields"][] = "foto";
//	versao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "versao";
	$fdata["GoodName"] = "versao";
	$fdata["ownerTable"] = "dbw_cota_pdto";
	$fdata["Label"] = GetFieldLabel("tb_orcamento_producao","versao");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "versao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dbw_cota_pdto.versao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_orcamento_producao["versao"] = $fdata;
		$tdatatb_orcamento_producao[".searchableFields"][] = "versao";
//	PVenda
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "PVenda";
	$fdata["GoodName"] = "PVenda";
	$fdata["ownerTable"] = "dbw_cota_pdto";
	$fdata["Label"] = GetFieldLabel("tb_orcamento_producao","PVenda");
	$fdata["FieldType"] = 5;

	
	
	
			

		$fdata["strField"] = "PVenda";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dbw_cota_pdto.PVenda";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_orcamento_producao["PVenda"] = $fdata;
		$tdatatb_orcamento_producao[".searchableFields"][] = "PVenda";
//	CBruto
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "CBruto";
	$fdata["GoodName"] = "CBruto";
	$fdata["ownerTable"] = "dbw_cota_pdto";
	$fdata["Label"] = GetFieldLabel("tb_orcamento_producao","CBruto");
	$fdata["FieldType"] = 5;

	
	
	
			

		$fdata["strField"] = "CBruto";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dbw_cota_pdto.CBruto";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_orcamento_producao["CBruto"] = $fdata;
		$tdatatb_orcamento_producao[".searchableFields"][] = "CBruto";
//	material
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "material";
	$fdata["GoodName"] = "material";
	$fdata["ownerTable"] = "dbw_cota_pdto";
	$fdata["Label"] = GetFieldLabel("tb_orcamento_producao","material");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "material";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dbw_cota_pdto.material";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_orcamento_producao["material"] = $fdata;
		$tdatatb_orcamento_producao[".searchableFields"][] = "material";
//	cliente1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "cliente1";
	$fdata["GoodName"] = "cliente1";
	$fdata["ownerTable"] = "dbw_cota_pdto";
	$fdata["Label"] = GetFieldLabel("tb_orcamento_producao","cliente1");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cliente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dbw_cota_pdto.cliente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_orcamento_producao["cliente1"] = $fdata;
		$tdatatb_orcamento_producao[".searchableFields"][] = "cliente1";
//	empresa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "empresa";
	$fdata["GoodName"] = "empresa";
	$fdata["ownerTable"] = "dbw_cota_pdto";
	$fdata["Label"] = GetFieldLabel("tb_orcamento_producao","empresa");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "empresa";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dbw_cota_pdto.empresa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_orcamento_producao["empresa"] = $fdata;
		$tdatatb_orcamento_producao[".searchableFields"][] = "empresa";
//	componente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "componente";
	$fdata["GoodName"] = "componente";
	$fdata["ownerTable"] = "dbw_cota_pdto";
	$fdata["Label"] = GetFieldLabel("tb_orcamento_producao","componente");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "componente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dbw_cota_pdto.componente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_orcamento_producao["componente"] = $fdata;
		$tdatatb_orcamento_producao[".searchableFields"][] = "componente";
//	categoria1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "categoria1";
	$fdata["GoodName"] = "categoria1";
	$fdata["ownerTable"] = "dbw_cota_pdto";
	$fdata["Label"] = GetFieldLabel("tb_orcamento_producao","categoria1");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "categoria1";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dbw_cota_pdto.categoria1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_orcamento_producao["categoria1"] = $fdata;
		$tdatatb_orcamento_producao[".searchableFields"][] = "categoria1";


$tables_data["tb_orcamento_producao"]=&$tdatatb_orcamento_producao;
$field_labels["tb_orcamento_producao"] = &$fieldLabelstb_orcamento_producao;
$fieldToolTips["tb_orcamento_producao"] = &$fieldToolTipstb_orcamento_producao;
$placeHolders["tb_orcamento_producao"] = &$placeHolderstb_orcamento_producao;
$page_titles["tb_orcamento_producao"] = &$pageTitlestb_orcamento_producao;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_orcamento_producao"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_orcamento_producao"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_orcamento_producao()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "tb_orcamento_producao.orca_ID,  tb_orcamento_producao.`data`,  tb_orcamento_producao.condicao,  tb_orcamento_producao.status,  tb_orcamento_producao.cliente,  tb_orcamento_producao.pdto,  concat(dbw_cota_pdto.referencia,\"/\",dbw_cota_pdto.nome_aux) as Modelo,  dbw_cota_pdto.foto,  dbw_cota_pdto.versao,  dbw_cota_pdto.PVenda,  dbw_cota_pdto.CBruto,  dbw_cota_pdto.material,  dbw_cota_pdto.cliente AS cliente1,  dbw_cota_pdto.empresa,  dbw_cota_pdto.componente,  dbw_cota_pdto.categoria1";
$proto0["m_strFrom"] = "FROM tb_orcamento_producao  INNER JOIN dbw_cota_pdto ON tb_orcamento_producao.pdto = dbw_cota_pdto.pdtoiD";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "orca_ID",
	"m_strTable" => "tb_orcamento_producao",
	"m_srcTableName" => "tb_orcamento_producao"
));

$proto6["m_sql"] = "tb_orcamento_producao.orca_ID";
$proto6["m_srcTableName"] = "tb_orcamento_producao";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "data",
	"m_strTable" => "tb_orcamento_producao",
	"m_srcTableName" => "tb_orcamento_producao"
));

$proto8["m_sql"] = "tb_orcamento_producao.`data`";
$proto8["m_srcTableName"] = "tb_orcamento_producao";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "condicao",
	"m_strTable" => "tb_orcamento_producao",
	"m_srcTableName" => "tb_orcamento_producao"
));

$proto10["m_sql"] = "tb_orcamento_producao.condicao";
$proto10["m_srcTableName"] = "tb_orcamento_producao";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "tb_orcamento_producao",
	"m_srcTableName" => "tb_orcamento_producao"
));

$proto12["m_sql"] = "tb_orcamento_producao.status";
$proto12["m_srcTableName"] = "tb_orcamento_producao";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "cliente",
	"m_strTable" => "tb_orcamento_producao",
	"m_srcTableName" => "tb_orcamento_producao"
));

$proto14["m_sql"] = "tb_orcamento_producao.cliente";
$proto14["m_srcTableName"] = "tb_orcamento_producao";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "pdto",
	"m_strTable" => "tb_orcamento_producao",
	"m_srcTableName" => "tb_orcamento_producao"
));

$proto16["m_sql"] = "tb_orcamento_producao.pdto";
$proto16["m_srcTableName"] = "tb_orcamento_producao";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$proto19=array();
$proto19["m_functiontype"] = "SQLF_CUSTOM";
$proto19["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "dbw_cota_pdto.referencia"
));

$proto19["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "\"/\""
));

$proto19["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "dbw_cota_pdto.nome_aux"
));

$proto19["m_arguments"][]=$obj;
$proto19["m_strFunctionName"] = "concat";
$obj = new SQLFunctionCall($proto19);

$proto18["m_sql"] = "concat(dbw_cota_pdto.referencia,\"/\",dbw_cota_pdto.nome_aux)";
$proto18["m_srcTableName"] = "tb_orcamento_producao";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "Modelo";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "foto",
	"m_strTable" => "dbw_cota_pdto",
	"m_srcTableName" => "tb_orcamento_producao"
));

$proto23["m_sql"] = "dbw_cota_pdto.foto";
$proto23["m_srcTableName"] = "tb_orcamento_producao";
$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
						$proto25=array();
			$obj = new SQLField(array(
	"m_strName" => "versao",
	"m_strTable" => "dbw_cota_pdto",
	"m_srcTableName" => "tb_orcamento_producao"
));

$proto25["m_sql"] = "dbw_cota_pdto.versao";
$proto25["m_srcTableName"] = "tb_orcamento_producao";
$proto25["m_expr"]=$obj;
$proto25["m_alias"] = "";
$obj = new SQLFieldListItem($proto25);

$proto0["m_fieldlist"][]=$obj;
						$proto27=array();
			$obj = new SQLField(array(
	"m_strName" => "PVenda",
	"m_strTable" => "dbw_cota_pdto",
	"m_srcTableName" => "tb_orcamento_producao"
));

$proto27["m_sql"] = "dbw_cota_pdto.PVenda";
$proto27["m_srcTableName"] = "tb_orcamento_producao";
$proto27["m_expr"]=$obj;
$proto27["m_alias"] = "";
$obj = new SQLFieldListItem($proto27);

$proto0["m_fieldlist"][]=$obj;
						$proto29=array();
			$obj = new SQLField(array(
	"m_strName" => "CBruto",
	"m_strTable" => "dbw_cota_pdto",
	"m_srcTableName" => "tb_orcamento_producao"
));

$proto29["m_sql"] = "dbw_cota_pdto.CBruto";
$proto29["m_srcTableName"] = "tb_orcamento_producao";
$proto29["m_expr"]=$obj;
$proto29["m_alias"] = "";
$obj = new SQLFieldListItem($proto29);

$proto0["m_fieldlist"][]=$obj;
						$proto31=array();
			$obj = new SQLField(array(
	"m_strName" => "material",
	"m_strTable" => "dbw_cota_pdto",
	"m_srcTableName" => "tb_orcamento_producao"
));

$proto31["m_sql"] = "dbw_cota_pdto.material";
$proto31["m_srcTableName"] = "tb_orcamento_producao";
$proto31["m_expr"]=$obj;
$proto31["m_alias"] = "";
$obj = new SQLFieldListItem($proto31);

$proto0["m_fieldlist"][]=$obj;
						$proto33=array();
			$obj = new SQLField(array(
	"m_strName" => "cliente",
	"m_strTable" => "dbw_cota_pdto",
	"m_srcTableName" => "tb_orcamento_producao"
));

$proto33["m_sql"] = "dbw_cota_pdto.cliente";
$proto33["m_srcTableName"] = "tb_orcamento_producao";
$proto33["m_expr"]=$obj;
$proto33["m_alias"] = "cliente1";
$obj = new SQLFieldListItem($proto33);

$proto0["m_fieldlist"][]=$obj;
						$proto35=array();
			$obj = new SQLField(array(
	"m_strName" => "empresa",
	"m_strTable" => "dbw_cota_pdto",
	"m_srcTableName" => "tb_orcamento_producao"
));

$proto35["m_sql"] = "dbw_cota_pdto.empresa";
$proto35["m_srcTableName"] = "tb_orcamento_producao";
$proto35["m_expr"]=$obj;
$proto35["m_alias"] = "";
$obj = new SQLFieldListItem($proto35);

$proto0["m_fieldlist"][]=$obj;
						$proto37=array();
			$obj = new SQLField(array(
	"m_strName" => "componente",
	"m_strTable" => "dbw_cota_pdto",
	"m_srcTableName" => "tb_orcamento_producao"
));

$proto37["m_sql"] = "dbw_cota_pdto.componente";
$proto37["m_srcTableName"] = "tb_orcamento_producao";
$proto37["m_expr"]=$obj;
$proto37["m_alias"] = "";
$obj = new SQLFieldListItem($proto37);

$proto0["m_fieldlist"][]=$obj;
						$proto39=array();
			$obj = new SQLField(array(
	"m_strName" => "categoria1",
	"m_strTable" => "dbw_cota_pdto",
	"m_srcTableName" => "tb_orcamento_producao"
));

$proto39["m_sql"] = "dbw_cota_pdto.categoria1";
$proto39["m_srcTableName"] = "tb_orcamento_producao";
$proto39["m_expr"]=$obj;
$proto39["m_alias"] = "";
$obj = new SQLFieldListItem($proto39);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto41=array();
$proto41["m_link"] = "SQLL_MAIN";
			$proto42=array();
$proto42["m_strName"] = "tb_orcamento_producao";
$proto42["m_srcTableName"] = "tb_orcamento_producao";
$proto42["m_columns"] = array();
$proto42["m_columns"][] = "orca_ID";
$proto42["m_columns"][] = "data";
$proto42["m_columns"][] = "condicao";
$proto42["m_columns"][] = "status";
$proto42["m_columns"][] = "cliente";
$proto42["m_columns"][] = "pdto";
$obj = new SQLTable($proto42);

$proto41["m_table"] = $obj;
$proto41["m_sql"] = "tb_orcamento_producao";
$proto41["m_alias"] = "";
$proto41["m_srcTableName"] = "tb_orcamento_producao";
$proto43=array();
$proto43["m_sql"] = "";
$proto43["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto43["m_column"]=$obj;
$proto43["m_contained"] = array();
$proto43["m_strCase"] = "";
$proto43["m_havingmode"] = false;
$proto43["m_inBrackets"] = false;
$proto43["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto43);

$proto41["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto41);

$proto0["m_fromlist"][]=$obj;
												$proto45=array();
$proto45["m_link"] = "SQLL_INNERJOIN";
			$proto46=array();
$proto46["m_strName"] = "dbw_cota_pdto";
$proto46["m_srcTableName"] = "tb_orcamento_producao";
$proto46["m_columns"] = array();
$proto46["m_columns"][] = "pdtoiD";
$proto46["m_columns"][] = "clienteID";
$proto46["m_columns"][] = "referencia";
$proto46["m_columns"][] = "nome_aux";
$proto46["m_columns"][] = "status";
$proto46["m_columns"][] = "foto";
$proto46["m_columns"][] = "ficha_tec";
$proto46["m_columns"][] = "data";
$proto46["m_columns"][] = "versao";
$proto46["m_columns"][] = "PVenda";
$proto46["m_columns"][] = "CBruto";
$proto46["m_columns"][] = "foto1";
$proto46["m_columns"][] = "status1";
$proto46["m_columns"][] = "categoria1";
$proto46["m_columns"][] = "componente";
$proto46["m_columns"][] = "material";
$proto46["m_columns"][] = "cliente";
$proto46["m_columns"][] = "empresa";
$obj = new SQLTable($proto46);

$proto45["m_table"] = $obj;
$proto45["m_sql"] = "INNER JOIN dbw_cota_pdto ON tb_orcamento_producao.pdto = dbw_cota_pdto.pdtoiD";
$proto45["m_alias"] = "";
$proto45["m_srcTableName"] = "tb_orcamento_producao";
$proto47=array();
$proto47["m_sql"] = "tb_orcamento_producao.pdto = dbw_cota_pdto.pdtoiD";
$proto47["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "pdto",
	"m_strTable" => "tb_orcamento_producao",
	"m_srcTableName" => "tb_orcamento_producao"
));

$proto47["m_column"]=$obj;
$proto47["m_contained"] = array();
$proto47["m_strCase"] = "= dbw_cota_pdto.pdtoiD";
$proto47["m_havingmode"] = false;
$proto47["m_inBrackets"] = false;
$proto47["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto47);

$proto45["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto45);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_orcamento_producao";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_orcamento_producao = createSqlQuery_tb_orcamento_producao();


	
		;

																

$tdatatb_orcamento_producao[".sqlquery"] = $queryData_tb_orcamento_producao;

$tableEvents["tb_orcamento_producao"] = new eventsBase;
$tdatatb_orcamento_producao[".hasEvents"] = false;

?>